Subject: Re: The backport of upstream ea5df88aeca1 introduces a regression on 6.6.y stable

From: Sasha Levin <[email-masked]>
Date: Wed, 3 Jun 2026 20:05:39 -0400

> ea5df88aeca1 switched VSC8574/VSC8572 to vsc8584_probe() but its
> prerequisite 1bc80d673087 ("phy: mscc: Use PHY_ID_MATCH_EXACT for
> VSC8584, VSC8582, VSC8575, VSC856X") was not backported, so the revB
> guard rejects these PHYs.

Thanks for tracking this down, and thanks to Andrew for confirming the
missing prerequisite.

Queued 1bc80d673087 for 6.18.y, 6.12.y, 6.6.y, 6.1.y and 5.15.y. On
6.1.y and 5.15.y it also needed its own prerequisite 31605c01fb24
("phy: mscc: Use PHY_ID_MATCH_VENDOR to minimize PHY ID table"), which
I've queued there as well.

-- 
Thanks,
Sasha